from django.views.decorators.http import require_http_methods

from backend.Service.FormulaService import FormulaService
from backend.Service.ProductService import ProductService


@require_http_methods(['POST'])
def Create(reqeust):
    return ProductService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return ProductService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return ProductService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return ProductService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return ProductService.Search(reqeust)
